KZONECHECK(1)

NAME
kzonecheck - Knot DNS zone check tool

SYNOPSIS

kzonecheck [options] filename

DESCRIPTION

The utility checks zone file syntax and runs semantic checks on the zone content. The executed checks are the same as the checks run by the Knot DNS server.

Please, refer to the semantic-checks configuration option in knot.conf(5) for the full list of available semantic checks.

  Options

-o, --origin origin
    Zone origin. If not specified, the origin is determined from the file name (possibly removing the .zone suffix).

-d, --dnssec on|off
    Also check DNSSEC-related records. The default is to decide based on the existence of a RRSIG for SOA.

-t, --time time
    Current time specification. Use UNIX timestamp, YYYYMMDDHHmmSS format, or [+/-]time[unit] format, where unit can be Y, M, D, h, m, or s. Default is current UNIX timestamp.

-v, --verbose
    Enable debug output.

-h, --help
    Print the program help.

-V, --version
    Print the program version.

EXIT VALUES

Exit status of 0 means successful operation. Any other exit status indicates an error.

SEE ALSO

knotd(8), knot.conf(5).

AUTHOR
CZ.NIC Labs <https://www.knot-dns.cz>

COPYRIGHT
Copyright 2010–2021, CZ.NIC, z.s.p.o.